你的位置:首页 > Java教程

[Java教程]搭建Struts2不同版本jar包不同


struts2的版本比较多,所以在开发的时候特别要注意版本不同所需引入的包是不一样的。否则,会出现各种问题。而且很难找到问题所在。

以下是我遇到的问题总结:

一、当我运用struts2.3.4.1时,导入jar包:

struts2-core-2.3.4.1.jar:核心类库
xwork-2.3.4.1.jar:XWork类库(struts2在此基础上构建)
ognl-3.0.5.jar:对象图导航语言(struts2通过ognl读写对象的属性)
freemarker-2.3.19.jar:struts2的UI标签的模板使用FreeMaker编写
commons-logging-1.1.1.jar:日志包支持,Log4J和JDK Logging的日志记录
commons-fileupload.1.2.2.jar:文件上传组件

这些所必须的jar包,发布工程时,报错:HTTP 404,而且控制台没有任何日志打印。找不到源头。

后来发现,针对struts2.3.4.1版本时,还要引入其它三个jar包:

commons-io-2.0.1.jar:针对java.io.InputStream和Reader进行了扩展
commons-lang3-3.1.jar:对java.lang.*的扩展
javassist-3.11.0.GA.jar:Javassist 字节码解释器

如图所示struts2.3.4.1版本必备jar包:

 

二、针对Struts2.0.11.1,则只需如下必备jar包:

struts2-core-2.xxx.jar:核心类库
xwork-2.xxx.jar:XWork类库(struts2在此基础上构建)
ognl-2.xxx.jar:对象图导航语言(struts2通过ognl读写对象的属性)
freemarker-2.xxx.jar:struts2的UI标签的模板使用FreeMaker编写
commons-logging-1.xxx.jar:日志包支持,Log4J和JDK Logging的日志记录
commons-fileupload.xxx.jar:文件上传组件